Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactAddChange

    java.lang.Object
      com.verisign.epp.codec.contact.EPPContactAddChange

All Implemented Interfaces:
  EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

    public class EPPContactAddChange

extends java.lang.Object
implements EPPCodecComponent

Represents attributes to add, remove or change with a `EPPContactUpdateCmd`. In `EPPContactUpdateCmd`, an instance of `EPPContactAddRemove` is used to specify the attributes to add, an instance of `EPPContactAddRemove` is used to specify the attributes to remove and an instance of `EPPContactAddRemove` is used o specify the attributes to change.
The <contact:add> and <contact:rem> elements SHALL contain the following child elements:

- One or more <contact:status> elements that contain status values to be associated with or removed from the object. When specifying a value to be removed, only the attribute value is significant; element text is not required to match a value for removal.

A <contact:chg> element SHALL contain the following OPTIONAL child elements:

- A <contact:postalInfo> element that contains the postal contacts. Use `getPostalInfo`, `addPostalInfo` and `setPostalInfo` to get, add and set the elements.
- An <contact:voice> element that contains the contact's voice telephone number. Use `getVoice` and `setVoice` to get and set the elements.
- An <contact:fax> element that contains the contact's facsimile telephone number. Use `getFax` and `setFax` to get and set the elements.
- A <contact:email> element that contains the contact's e-mail address. Use `getEmail` and `setEmail` to get and set the elements.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPContactUpdateCmd`, `EPPContactAddress`, Serialized Form

Constructor Summary
`EPPContactAddChange()` Default constructor for `EPPContactAddChange`.
`EPPContactAddChange(EPPContactPostalDefinition aPostalInfo, java.lang.String aVoice, EPPAuthInfo aAuthInfo)` Constructor for `EPPContactAddChange`.
`EPPContactAddChange(EPPContactPostalDefinition aPostalInfo, java.lang.String aVoice, java.lang.String aFax, java.lang.String aEmail, EPPAuthInfo aAuthInfo)` Constructor for `EPPContactAddChange`.
`EPPContactAddChange(java.util.Vector newStatuses)` Constructor for `EPPContactAddChange`.
`EPPContactAddChange(java.util.Vector aPostalInfo, java.lang.String aVoice, java.lang.String aFax, java.lang.String aEmail, EPPAuthInfo aAuthInfo)` Constructor for `EPPContactAddChange`.

Method Summary
`void` | `addPostalInfo(EPPContactPostalDefinition newPostalInfo)` Adds contact postalInfo.
`java.lang.Object` | `clone()` Clone `EPPContactAddChange`.
`void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPContactAddChange` attributes from the `aElement` DOM Element tree.
`org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactAddChange` instance.
`boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPContactAddChange` compare.
`EPPAuthInfo` | `getAuthInfo()` Get autorization information for contact change.
`EPPContactDisclose` | `getDisclose()` Get disclose information.
`java.lang.String` | `getEmail()` Get email.
`java.lang.String` | `getFax()` Get fax number.
`java.lang.String` | `getFaxExt()` Get fax number extension.
`java.util.Vector` | `getPostalInfo()` Get postalInfo elements of contact change.
`java.util.Vector` | `getStatuses()` Get a vector of contact statuses.
`java.lang.String` | `getVoice()` Get voice number.
`java.lang.String` | `getVoiceExt()` Get voice number extension.
`void` | `setAuthInfo(EPPAuthInfo newAuthInfo)` Set authorization information for contact change.
`void` | `setDisclose(EPPContactDisclose newDisclose)` Set disclose information.
`void` | `setEmail(java.lang.String newEmail)` Set email.
`void` | `setFax(java.lang.String newFax)` Set fax number.
`void` | `setFaxExt(java.lang.String newFaxExt)` Set fax number extension.
`void` | `setPostalInfo(java.util.Vector newPostalContacts)` Set contact postalInfo.
`void` | `setStatuses(java.util.Vector newStatuses)` Set a vector of statuses for contact add.
`void` | `setVoice(java.lang.String newVoice)` Set voice number.
`void` | `setVoiceExt(java.lang.String newVoiceExt)` Set contact voice extension.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactAddChange

    public EPPContactAddChange()

  Default constructor for `EPPContactAddChange`.

### EPPContactAddChange

    public EPPContactAddChange(java.util.Vector newStatuses)

  Constructor for `EPPContactAddChange`.

  Parameters:
    `newStatuses` - Vector of statuses for contact add.

### EPPContactAddChange

    public EPPContactAddChange(EPPContactPostalDefinition aPostalInfo,
                               java.lang.String aVoice,
                               EPPAuthInfo aAuthInfo)

  Constructor for `EPPContactAddChange`.

  Parameters:
    `aPostalInfo` - EPPContactPostalDefinition, defining a series objects for contact changes.
    `aVoice` - Voice number
    `aAuthInfo` - Authorization information for contact change.

### EPPContactAddChange

    public EPPContactAddChange(EPPContactPostalDefinition aPostalInfo,
                               java.lang.String aVoice,
                               java.lang.String aFax,
                               java.lang.String aEmail,
                               EPPAuthInfo aAuthInfo)

  Constructor for `EPPContactAddChange`.

  Parameters:
    `aPostalInfo` - EPPContactPostalDefinition, defining a series objects for contact changes.
    `aVoice` - Voice number
    `aFax` - Fax number
    `aEmail` - Email
    `aAuthInfo` - Authorization information for contact change.

### EPPContactAddChange

    public EPPContactAddChange(java.util.Vector aPostalInfo,
                               java.lang.String aVoice,
                               java.lang.String aFax,
                               java.lang.String aEmail,
                               EPPAuthInfo aAuthInfo)

  Constructor for `EPPContactAddChange`.

  Parameters:
    `aPostalInfo` - Vector, defining a series objects for contact changes.
    `aVoice` - Voice number
    `aFax` - Fax number
    `aEmail` - Email
    `aAuthInfo` - Authorization information for contact change.

Method Detail

### encode

    public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                               throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactAddChange` instance.

  Specified by:
    `encode` in interface `EPPCodecComponent`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPContactAddChange` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPContactAddChange` instance.

### decode

    public void decode(org.w3c.dom.Element aElement)
                throws EPPDecodeException

  Decode the `EPPContactAddChange` attributes from the `aElement` DOM Element tree.

  Specified by:
    `decode` in interface `EPPCodecComponent`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactAddChange` from.
  Throws:
    `EPPDecodeException` - Unable to decode `aElement`.

### equals

    public boolean equals(java.lang.Object aObject)

  implements a deep `EPPContactAddChange` compare.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `aObject` - `EPPContactAddChange` instance to compare with
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactAddChange`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    clone of `EPPContactAddChange`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

### getPostalInfo

    public java.util.Vector getPostalInfo()

  Get postalInfo elements of contact change.

  Returns:
    Vector

### setPostalInfo

    public void setPostalInfo(java.util.Vector newPostalContacts)

  Set contact postalInfo.

  Parameters:
    `newPostalContacts` - java.util.Vector

### addPostalInfo

    public void addPostalInfo(EPPContactPostalDefinition newPostalInfo)

  Adds contact postalInfo.

  Parameters:
    `newPostalInfo` - com.verisign.epp.codec.contact.EPPContactPostalDefinition

### getAuthInfo

    public EPPAuthInfo getAuthInfo()

  Get autorization information for contact change.

  Returns:
    com.verisign.epp.codec.gen.EPPAuthInfo

### getDisclose

    public EPPContactDisclose getDisclose()

  Get disclose information.

  Returns:
    Disclose information if defined; `null` otherwise;

### setDisclose

    public void setDisclose(EPPContactDisclose newDisclose)

  Set disclose information.

  Parameters:
    `newDisclose` - com.verisign.epp.codec.gen.EPPContactDisclose

### getEmail

    public java.lang.String getEmail()

  Get email.

  Returns:
    String email

### getFax

    public java.lang.String getFax()

  Get fax number.

  Returns:
    String fax number

### getFaxExt

    public java.lang.String getFaxExt()

  Get fax number extension.

  Returns:
    fax number extension if defined; `null` otherwise.

### getStatuses

    public java.util.Vector getStatuses()

  Get a vector of contact statuses.

  Returns:
    java.util.Vector

### getVoice

    public java.lang.String getVoice()

  Get voice number.

  Returns:
    String fax number

### getVoiceExt

    public java.lang.String getVoiceExt()

  Get voice number extension.

  Returns:
    Voice number extension if defined; `null` otherwise.

### setAuthInfo

    public void setAuthInfo(EPPAuthInfo newAuthInfo)

  Set authorization information for contact change.

  Parameters:
    `newAuthInfo` - com.verisign.epp.codec.gen.EPPAuthInfo

### setEmail

    public void setEmail(java.lang.String newEmail)

  Set email.

  Parameters:
    `newEmail` - String

### setFax

    public void setFax(java.lang.String newFax)

  Set fax number.

  Parameters:
    `newFax` - String

### setFaxExt

    public void setFaxExt(java.lang.String newFaxExt)

  Set fax number extension.

  Parameters:
    `newFaxExt` - Fax number extension

### setStatuses

    public void setStatuses(java.util.Vector newStatuses)

  Set a vector of statuses for contact add.

  Parameters:
    `newStatuses` - java.util.Vector

### setVoice

    public void setVoice(java.lang.String newVoice)

  Set voice number.

  Parameters:
    `newVoice` - String

### setVoiceExt

    public void setVoiceExt(java.lang.String newVoiceExt)

  Set contact voice extension.

  Parameters:
    `newVoiceExt` - voice extension

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.